Skip to main content
PUT
/
sequence-accounts
/
{id}
Update Account
curl --request PUT \
  --url https://eu.sequencehq.com/api/sequence-accounts/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "companyName": "Acme Inc.",
  "companyNumber": "GB123988",
  "country": "GB",
  "sendCustomerNotifications": true,
  "alertEmailAddresses": [
    "alerts@example.com"
  ]
}
'
import requests

url = "https://eu.sequencehq.com/api/sequence-accounts/{id}"

payload = {
"companyName": "Acme Inc.",
"companyNumber": "GB123988",
"country": "GB",
"sendCustomerNotifications": True,
"alertEmailAddresses": ["alerts@example.com"]
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: 'Acme Inc.',
companyNumber: 'GB123988',
country: 'GB',
sendCustomerNotifications: true,
alertEmailAddresses: ['alerts@example.com']
})
};

fetch('https://eu.sequencehq.com/api/sequence-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "b6b0bb79-7b03-4cc0-9c70-2d3aec3aeb17",
  "createdAt": "2022-06-28T16:47:00Z",
  "sequenceOrganisationId": "e4f49f12-38cf-4fcf-ad2a-0ae7d83d6be4",
  "companyName": "Acme Inc.",
  "companyNumber": "GB123988",
  "country": "GB",
  "sendCustomerNotifications": true,
  "alertEmailAddresses": [
    "alerts@example.com"
  ]
}
This response has no body data.
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Sequence Account ID

Body

application/json
companyName
string

The company name of the company that owns this Sequence account.

Example:

"Acme Inc."

companyNumber
string

The company number of the company that owns this Sequence account.

Example:

"GB123988"

country
enum<string>

The country in which the company who owns this account is registered.

Available options:
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CR,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DJ,
DK,
DM,
DO,
DZ,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
FI,
FJ,
FK,
FM,
FO,
FR,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SV,
SX,
SY,
SZ,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
XK,
YE,
YT,
ZA,
ZM,
ZW
Example:

"GB"

sendCustomerNotifications
boolean

True if Sequence should send customer notifications on your behalf.

Example:

true

alertEmailAddresses
string[]

Email address to which alert notifications will be sent

Example:
["alerts@example.com"]

Response

OK

id
string
required

Unique identifier for the Sequence account.

Example:

"b6b0bb79-7b03-4cc0-9c70-2d3aec3aeb17"

createdAt
string
required

The time at which the account was created. Formatted as an ISO 8601 timestamp.

Example:

"2022-06-28T16:47:00Z"

sequenceOrganisationId
string
required

The Sequence organisation ID that this account belongs to.

Example:

"e4f49f12-38cf-4fcf-ad2a-0ae7d83d6be4"

companyName
string
required

The company name of the company that owns this Sequence account.

Example:

"Acme Inc."

companyNumber
string
required

The company number of the company that owns this Sequence account.

Example:

"GB123988"

country
enum<string>
required

The country in which the company who owns this account is registered.

Available options:
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CR,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DJ,
DK,
DM,
DO,
DZ,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
FI,
FJ,
FK,
FM,
FO,
FR,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SV,
SX,
SY,
SZ,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
XK,
YE,
YT,
ZA,
ZM,
ZW
Example:

"GB"

sendCustomerNotifications
boolean
required

True if Sequence should send customer notifications on your behalf.

Example:

true

alertEmailAddresses
string[]
required

List of email addresses to which alert notifications will be sent.

Example:
["alerts@example.com"]